#pragma once
#include <map>
struct M_ActivitySummerPlanGiftRuleCFGData
{
	//天数
	int mID;
	//开放礼包ID
	std::vector<int> mGiftsVaild;
	//页签标题
	std::string mName;
};

class M_ActivitySummerPlanGiftRuleCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySummerPlanGiftRuleCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySummerPlanGiftRuleCFGData* GetData(int ID);
	const std::map<int, M_ActivitySummerPlanGiftRuleCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivitySummerPlanGiftRuleCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivitySummerPlanGiftRuleCFGData> mMapData;
};
